Вопрос:

How to Upgrade to ASP.NET Core 2.0

c# asp.net .net asp.net-mvc asp.net-core

980 просмотра

1 ответ

2146 Репутация автора

I have an ASP.NET Core project. It is .NET Framework based. I have been working with .NET Version 4.6, but am happy to upgrade to 4.6.2 or 4.7. I have both installed on my machine. The referenced NuGet packages are numerous and version numbers varied. But, it seems that roughly speaking, I am using version 1.1.3 of ASP.NET Core.

I want to upgrade to the latest version of ASP.NET Core and ASP.NET Core MVC but every time I try, I get this error message:

Could not install package 'Microsoft.AspNetCore.Mvc.Core 2.0.0'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.7', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

After Googling for this, I came across this disconcerting Github thread: https://github.com/aspnet/home/issues/2022

This seems to imply that at some point, V2 was not supported by the .NET Framework. I read through the thread to some extent, but these words from another user basically some up my thoughts on the subject:

I really don't know what is happening. Why do have many dotnet this and that. This is really crazy. How do we have keep tracks of this?

No proper documentation on migration from one to another.

The OP was edited to say this:

Edit: the "no .NET Framework support for ASP.NET Core 2.0" plan has been officially cancelled and running ASP.NET Core 2.0 on .NET Desktop will be supported in the next previews. For more information, read Announcing ASP.NET Core 2.0.0-Preview1 and Updates for .NET Web Developers or watch .NET Standard 2.0 and .NET Core 2.0.

I guess that means that Microsoft planned to fix the problem at some point. But, what I can't work out is whether or not Microsoft have actually fixed this problem.

Is anyone running ASP.NET Core on .NET Framework? Which .NET version? How did you get it working?

Автор: Melbourne Developer Источник Размещён: 08.11.2017 11:37

Ответы (1)


1 плюс

2734 Репутация автора

Решение

As per @Melbourne Developer's suggestion:

  1. Make sure you download the latest .Net Core 2.0 installers.

  2. Create new ASP.Net Core Web Application

  3. Choose .NET Framework from dropdownlist in wizard and ASP.Net Core 2.0

  4. Copy content over to new project. Fixing up all namespace issues/compilation errors

Автор: JohanP Размещён: 10.11.2017 04:33
Вопросы из категории :
32x32